<?xml version="1.0" encoding="UTF_8"?>
    <SensorHalCap>
        <tag key="HAL_CUSTOM_SCALER_AVAILABLE_STREAM_CONFIGURATIONS" type="int32_t">
            <value type="string2Enum">CAMERA_FORMAT_STANDARD_RAW16</value>
            <value>8192</value>
            <value>6144</value>
            <value type="string2Enum">CAMERA_SCALER_AVAILABLE_STREAM_CONFIGURATIONS_OUTPUT</value>
        </tag>
        <tag key="HAL_PRIVATE_SENSOR_REMOSAIC_SUPPORTED" type="uint8_t">
            <value type="string2Enum">SENSOR_QUAD_REMOSAIC_MODE_HW</value>
        </tag>
        <tag key="HAL_PRIVATE_SENSOR_FPS_RANGE_SETTING" type="int32_t">
            <value>30</value>
            <value>60</value>
            <value>120</value>
            <value>240</value>
        </tag>
        <tag key="HAL_PRIVATE_SENSOR_INFO_PIXEL_ARRAY_SIZE" type="int32_t">
            <value>4096</value>
            <value>3072</value>
        </tag>
        <tag key="HAL_PRIVATE_REPROCESS_SENSOR_QR_SEAMLESS_SIZES" type="int32_t">
            <value>4096</value>
            <value>3072</value>
            <value>8192</value>
            <value>6144</value>
            <value>3072</value>
            <value>3072</value>
            <value>6144</value>
            <value>6144</value>
            <value>4096</value>
            <value>1840</value>
            <value>8192</value>
            <value>3680</value>
        </tag>
        <tag key="HAL_PRIVATE_SENSOR_BINNING_SIZES_SUPPORTED" type="int32_t">
            <value>8192</value>
            <value>6144</value>
            <value>4096</value>
            <value>3072</value>
        </tag>
        <tag key="HAL_PRIVATE_QUADRA_SENSOR_FULL_AND_BINNING_SIZES" type="int32_t">
            <value>8192</value>
            <value>6144</value>
            <value>4096</value>
            <value>3072</value>
        </tag>
        <tag key="HAL_PRIVATE_REPROCESS_SEAMLESS_DYNAMIC_SWITCH_SUPPORTED" type="uint8_t">
            <value type="string2Enum">SST_2_2</value>
        </tag>
        <tag key="HAL_PRIVATE_PREPROC_AFSTAT_INFO" type="uint32_t">
            <value>1</value>
            <value>935936</value>
            <value>7</value>
        </tag>
        <tag key="HAL_PRIVATE_THIRDCAM_USE_4K_SETTING" type="uint8_t">
            <value>1</value>
        </tag>
        <tag key="HAL_CUSTOM_SENSOR_EXPOSURE_RANGE" type="int32_t">
            <value>250</value>
            <value>30000000</value>
        </tag>
        <tag key="HAL_CUSTOM_SENSOR_WB_RANGE" type="int32_t">
            <value>2800</value>
            <value>10000</value>
        </tag>
        <tag key="HAL_PRIVATE_SENSOR_MAX_AGAIN_VALUE" type="int32_t">
            <value>6400</value>
        </tag>
        <tag key="HAL_CUSTOM_SENSOR_ISO_RANGE" type="int32_t">
            <value>50</value>
            <value>409600</value>
        </tag>
        <tag key="HAL_CUSTOM_SENSOR_SUPER_ISO" type="int32_t">
            <value>12800</value>
            <value>66666</value>
            <value>6400</value>
            <value>25600</value>
            <value>125000</value>
            <value>6400</value>
            <value>51200</value>
            <value>250000</value>
            <value>6400</value>
            <value>102400</value>
            <value>250000</value>
            <value>6400</value>
            <value>204800</value>
            <value>250000</value>
            <value>6400</value>
            <value>409600</value>
            <value>250000</value>
            <value>6400</value>
        </tag>
        <tag key="HAL_CUSTOM_SUPPORTED_METERING" type="uint8_t">
            <value type="string2Enum">CAMERA_CUSTOM_METERING_AVERAGE</value>
            <value type="string2Enum">CAMERA_CUSTOM_METERING_CENTER_WEIGHTED</value>
            <value type="string2Enum">CAMERA_CUSTOM_METERING_SPOT</value>
            <value type="string2Enum">CAMERA_CUSTOM_METERING_MATRIX</value>
        </tag>
        <tag key="HAL_CUSTOM_VIDEO_FPS_SUPPORTED" type="int32_t">
            <value>120</value>
            <value>60</value>
        </tag>
        <tag key="HAL_CUSTOM_VIDEO_RESOLUTION_FPS_SUPPORTED" type="int32_t">
            <value>1280</value>
            <value>720</value>
            <value>60</value>
            <value>1920</value>
            <value>1080</value>
            <value>60</value>
            <value>2560</value>
            <value>1080</value>
            <value>60</value>
            <value>2336</value>
            <value>1080</value>
            <value>60</value>
            <value>3840</value>
            <value>2160</value>
            <value>60</value>
        </tag>
        <tag key="HAL_PRIVATE_BASE_RATIO_SUPPORTED" type="uint8_t">
            <value>1</value>
        </tag>
        <tag key="HAL_PRIVATE_MAX_SCENE_ZOOM_RATIO" type="int32_t">
            <value type="string2Enum">CAMERA_PRIVATE_SM_APERTURE</value>
            <value>10200</value>
            <value type="string2Enum">CAMERA_PRIVATE_SM_APERTURE_VIDEO</value>
            <value>10200</value>
            <value type="string2Enum">CAMERA_PRIVATE_SM_PORTRAIT</value>
            <value>12200</value>
            <value type="string2Enum">CAMERA_PRIVATE_SM_MONO_PORTRAIT</value>
            <value>12200</value>
            <value type="string2Enum">CAMERA_PRIVATE_SM_MONO_APERTURE</value>
            <value>10200</value>
            <value type="string2Enum">CAMERA_PRIVATE_SM_SUPER_CAMERA_PORTRAIT</value>
            <value>12200</value>
            <value type="string2Enum">CAMERA_PRIVATE_SM_HIGH_SPEED</value>
            <value>10200</value>
            <value type="string2Enum">CAMERA_PRIVATE_SM_SLOW_MOTION_OFFLINE</value>
            <value>10200</value>
            <value type="string2Enum">CAMERA_PRIVATE_SM_SLOW_MOTION_ONLINE</value>
            <value>10200</value>
            <value type="string2Enum">CAMERA_PRIVATE_SM_MAX</value>
            <value>10200</value>
        </tag>
        <tag key="HAL_PRIVATE_RYYB_SUPPORTED" type="uint8_t">
            <value>1</value>
        </tag>
        <tag key="HAL_PRIVATE_SENSOR_FOV_RATIO" type="float">
            <value>1.0</value>
        </tag>
        <!-- full scene stagger cap -->
        <tag key="HAL_PRIVATE_SENSOR_HDR_INFO_CONFIG" type="uint32_t">
            <value type="string2Enum">CAMERA_CUSTOM_SM_NORMAL_CAPTURE</value>
            <value>30</value>
            <value type="string2Enum">STAGGER_NDOL</value>
            <value type="string2Enum">STAGGER_2EXPO</value>
            <value type="string2Enum">STAGGER_SL</value>
            <value type="string2Enum">SHORT_EXPO_BEGIN_SWITCH</value>
            <value>4096</value>
            <value>3072</value>
            <value type="string2Enum">CAMERA_CUSTOM_SM_PERFORMANCE_CAPTURE</value>
            <value>30</value>
            <value type="string2Enum">STAGGER_NDOL</value>
            <value type="string2Enum">STAGGER_2EXPO</value>
            <value type="string2Enum">STAGGER_SL</value>
            <value type="string2Enum">SHORT_EXPO_BEGIN_SWITCH</value>
            <value>4096</value>
            <value>3072</value>
            <value type="string2Enum">CAMERA_CUSTOM_SM_NORMAL_VIDEO</value>
            <value>30</value>
            <value type="string2Enum">STAGGER_NDOL</value>
            <value type="string2Enum">STAGGER_2EXPO</value>
            <value type="string2Enum">STAGGER_SL</value>
            <value type="string2Enum">SHORT_EXPO_BEGIN_SWITCH</value>
            <value>4096</value>
            <value>2304</value>
            <value type="string2Enum">CAMERA_PRIVATE_SM_THIRDCAM_NORMAL_CAPTURE</value>
            <value>30</value>
            <value type="string2Enum">STAGGER_NDOL</value>
            <value type="string2Enum">STAGGER_2EXPO</value>
            <value type="string2Enum">STAGGER_SL</value>
            <value type="string2Enum">SHORT_EXPO_BEGIN_SWITCH</value>
            <value>4096</value>
            <value>3072</value>
            <value type="string2Enum">CAMERA_PRIVATE_SM_THIRDCAM_NORMAL_VIDEO</value>
            <value>30</value>
            <value type="string2Enum">STAGGER_NDOL</value>
            <value type="string2Enum">STAGGER_2EXPO</value>
            <value type="string2Enum">STAGGER_SL</value>
            <value type="string2Enum">SHORT_EXPO_BEGIN_SWITCH</value>
            <value>4096</value>
            <value>3072</value>
        </tag>
        <tag key="HAL_CUSTOM_OIS_SUPPORTED" type="uint8_t">
            <value>1</value>
        </tag>
        <tag key="HAL_PRIVATE_DYNAMIC_RESOLUTION_SUPPORTED_SCENE" type="int32_t">
            <value type="string2Enum">CAMERA_PRIVATE_SM_NORMAL_CAPTURE</value>
            <value type="string2Enum">CAMERA_PRIVATE_SM_FOV_FUSION</value>
            <value type="string2Enum">CAMERA_PRIVATE_SM_PROFESSIONAL</value>
            <value type="string2Enum">CAMERA_PRIVATE_SM_MOVING_PICTURE</value>
            <value type="string2Enum">CAMERA_PRIVATE_SM_HDR</value>
            <value type="string2Enum">CAMERA_PRIVATE_SM_MONO_CAPTURE</value>
            <value type="string2Enum">CAMERA_PRIVATE_SM_MONO_PROFESSIONAL</value>
            <value type="string2Enum">CAMERA_PRIVATE_SM_WATER_MARK</value>
            <value type="string2Enum">CAMERA_PRIVATE_SM_ULTRA_HIGH_RES</value>
        </tag>
        <tag key="HAL_PRIVATE_MULTI_CAM_SUPPORTED_DYNAMIC_RESOLUTION" type="uint32_t">
            <value>1600</value>
            <value>1080</value>
            <value>1440</value>
            <value>1080</value>
        </tag>
        <tag key="HAL_PRIVATE_LOGICAL_SENSOR_DOMAIN" type="char">
            <value>physical</value>
        </tag>
        <tag key="HAL_CUSTOM_MAIN_MODE_SUPPORTED" type="uint8_t">
            <value>1</value>
        </tag>
        <tag key="HAL_PRIVATE_SENSOR_SEQUENCE_TYPES_SUPPORTED" type="int32_t">
            <value type="string2Enum">CAMERA_CUSTOM_SM_INVALID</value>
            <value type="string2Enum">SS_SEQ_TYPE_QUAD2X2_BINNING</value>
        </tag>
        <tag key="HAL_PRIVATE_REPROCESS_SENSOR_SEAMLESS_CROP_SIZES" type="uint32_t">
            <value type="string2Enum">SENSOR_CROP_TYPE_APERTURE</value>
            <value>4096</value>
            <value>3072</value>
            <value type="string2Enum">SENSOR_CROP_TYPE_QUAD</value>
            <value>4096</value>
            <value>3072</value>
            <value type="string2Enum">SENSOR_CROP_TYPE_DUAL_FOV</value>
            <value>4096</value>
            <value>3072</value>
        </tag>
        <tag key="HAL_CUSTOM_EQUIVALENT_FOCUS" type="uint32_t">
            <value>27</value>
        </tag>
        <tag key="HAL_PRIVATE_SENSOR_FULL_SIZE_FOV_RATIO" type="float">
            <value>0.9</value>
        </tag>
        <tag key="HAL_PRIVATE_DISABLE_INNER_RESTART" type="uint8_t">
            <value>1</value>
        </tag>
        <tag key="HAL_PRIVATE_MOON_ZOOM_RATIO_RANGE" type="int32_t">
            <value>900</value> <!-- min user zoom ratio * 1000 -->
            <value>9999</value> <!-- max user zoom ratio * 1000 -->
            <value>0</value> <!-- fixed threshold user zoom ratio * 1000 -->
            <value>0</value> <!-- sketch fixed fov ratio * 1000 -->
            <value type="string2Enum">NORMAL_PREVIEW</value> <!-- preview mode -->
            <value>10000</value>
            <value>102000</value>
            <value>10000</value>
            <value>7333</value> <!-- 6.6 / 0.48 -->
            <value type="string2Enum">SLAVE_PREVIEW</value>
        </tag>
        <tag key="HAL_PRIVATE_PPRAW_INFO" type="uint32_t">
            <value>1</value>            <!--pp raw enable-->
            <value>4096</value>         <!--pp raw bufferWidth-->
            <value>768</value>          <!--pp raw bufferHeight-->
            <value>10</value>           <!--pp raw bufferCount-->
        </tag>
        <tag key="HAL_PRIVATE_PHASE_RAW_ENABLE_ZOOM_RATIO" type="float">
            <value>1.9</value>
        </tag>
        <tag key="HAL_PRIVATE_APERTURE_VIDEO_SENSOR_SETTING" type="uint32_t">
            <value>4096</value>    <!-- 16 : 9 -->
            <value>2304</value>
        </tag>
        <tag key="HAL_PRIVATE_MULTICAM_ASYNC_FPS_RANGE" type="uint32_t">
            <value>7</value>
            <value>15</value>
        </tag>
    </SensorHalCap>
